package admin_order

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"
	"in-server/app/main/api/internal/logic/admin_order"
	"in-server/app/main/api/internal/svc"
	"in-server/app/main/api/internal/types"
	"in-server/common/result"
	"in-server/pkg/lzkit/validator"
)

func AdminCreateOrderHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.AdminCreateOrderReq
		if err := httpx.Parse(r, &req); err != nil {
			result.ParamErrorResult(r, w, err)
			return
		}
		if err := validator.Validate(req); err != nil {
			result.ParamValidateErrorResult(r, w, err)
			return
		}
		l := admin_order.NewAdminCreateOrderLogic(r.Context(), svcCtx)
		resp, err := l.AdminCreateOrder(&req)
		result.HttpResult(r, w, resp, err)
	}
}
